<?php
/**
 * Created by PhpStorm.
 * User: hp
 * Date: 2018/1/18
 * Time: 15:50
 */
Route::group(['domain' => env('CHANNEL_DOMAIN'), 'namespace' => 'App\Http\Controllers\Channel\Activity', 'prefix' => 'api/activity', 'middleware' => 'ChannelApiAuth'], function () {
    Route::group(['middleware'=>'ChannelOperateRecord'],function (){
        //获取活动列表
        Route::get('getActivities', 'ActivityController@getActivities');

        //获取活动的充值信息
        Route::get('getActivityRechargeInfo', 'ActivityController@getActivityRechargeInfo');
        Route::get('pushinfo', 'ActivityController@getActivityCustomerPushInfo');
        Route::get('quickCreatedTemplateMsg', 'ActivityController@quickCreatedTemplateMsg');
        //长期活动模板
        Route::get('longActivityTemplate', 'ActivityController@longActivityTemplate');
        //创建活动
        Route::post('createActivity', 'ActivityController@createActivity');
        //获取渠道活动
        Route::get('channelActivity', 'ActivityController@channelActivity');

        Route::post('updateActivitySwitchInfo', 'ActivitySwitchController@updateActivitySwitchInfo');

    });

});